build:
  image: klakegg/hugo:ext-alpine-ci
  stage: build
  script:
    - pwd
    - hugo --minify
  artifacts:
    paths:
      - public
    expire_in: 1 week

deploy_production:
  type: deploy
  image: ubuntu:latest
  environment:
    name: production
    url: itsblue.de
  script:
    - apt update
    - apt install -y openssh-client
    - chmod 700 $DEPLOYMENT_SSH_KEY
    - scp -o StrictHostKeyChecking=no -o UserKnownHostsFile=/dev/null -i $DEPLOYMENT_SSH_KEY -r ./public/* root@10.10.0.1:/opt/lamp/www/itsblue.de
  only:
    - master
